## Submit census sync **post** `/v1/employers/{employer_id}/census-sync` Submits a census sync payload for the specified employer. The employees in the payload will be queued for processing. Returns an accepted response with the timestamp of acceptance. ### Path Parameters - `employer_id: string` Unique employer identifier (empr_*) ### Body Parameters - `employees: array of object { date_of_birth, email, first_name, 7 more }` - `date_of_birth: string` - `email: string` - `first_name: string` - `last_name: string` - `phone: string` - `address: optional object { address_line_1, city, state, 2 more }` - `address_line_1: string` - `city: string` - `state: "AL" or "AK" or "AZ" or 59 more` * `AL` - AL * `AK` - AK * `AZ` - AZ * `AR` - AR * `CA` - CA * `CO` - CO * `CT` - CT * `DC` - DC * `DE` - DE * `FL` - FL * `GA` - GA * `HI` - HI * `ID` - ID * `IL` - IL * `IN` - IN * `IA` - IA * `KS` - KS * `KY` - KY * `LA` - LA * `ME` - ME * `MD` - MD * `MA` - MA * `MI` - MI * `MN` - MN * `MS` - MS * `MO` - MO * `MT` - MT * `NE` - NE * `NV` - NV * `NH` - NH * `NJ` - NJ * `NM` - NM * `NY` - NY * `NC` - NC * `ND` - ND * `OH` - OH * `OK` - OK * `OR` - OR * `PA` - PA * `RI` - RI * `SC` - SC * `SD` - SD * `TN` - TN * `TX` - TX * `UT` - UT * `VT` - VT * `VA` - VA * `WA` - WA * `WI` - WI * `WV` - WV * `WY` - WY * `PR` - PR * `GU` - GU * `AS` - AS * `VI` - VI * `MP` - MP * `MH` - MH * `PW` - PW * `FM` - FM * `AE` - AE * `AA` - AA * `AP` - AP - `"AL"` - `"AK"` - `"AZ"` - `"AR"` - `"CA"` - `"CO"` - `"CT"` - `"DC"` - `"DE"` - `"FL"` - `"GA"` - `"HI"` - `"ID"` - `"IL"` - `"IN"` - `"IA"` - `"KS"` - `"KY"` - `"LA"` - `"ME"` - `"MD"` - `"MA"` - `"MI"` - `"MN"` - `"MS"` - `"MO"` - `"MT"` - `"NE"` - `"NV"` - `"NH"` - `"NJ"` - `"NM"` - `"NY"` - `"NC"` - `"ND"` - `"OH"` - `"OK"` - `"OR"` - `"PA"` - `"RI"` - `"SC"` - `"SD"` - `"TN"` - `"TX"` - `"UT"` - `"VT"` - `"VA"` - `"WA"` - `"WI"` - `"WV"` - `"WY"` - `"PR"` - `"GU"` - `"AS"` - `"VI"` - `"MP"` - `"MH"` - `"PW"` - `"FM"` - `"AE"` - `"AA"` - `"AP"` - `zipcode: string` - `address_line_2: optional string` - `compensation_type: optional "Salary" or "Hourly"` * `Salary` - Salary * `Hourly` - Hourly - `"Salary"` - `"Hourly"` - `employee_class: optional EmployeeClass` * `Full Time` - Full Time * `Part Time` - Part Time * `Temporary` - Temporary * `Intern` - Intern * `Seasonal` - Seasonal * `Individual Contractor` - Individual Contractor - `"Full Time"` - `"Part Time"` - `"Temporary"` - `"Intern"` - `"Seasonal"` - `"Individual Contractor"` - `reference_id: optional string` - `start_date: optional string` ### Returns - `data: object { accepted_at, employer_id }` - `accepted_at: string` - `employer_id: string` ### Example ```http curl https://api.vitablehealth.com/v1/employers/$EMPLOYER_ID/census-sync \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY" \ -d '{ "employees": [ { "date_of_birth": "1990-05-15", "email": "jane.doe@acme.com", "first_name": "Jane", "last_name": "Doe", "phone": "4155550100", "address": { "address_line_1": "123 Main Street", "city": "San Francisco", "state": "CA", "zipcode": "94102", "address_line_2": "Apt 4B" }, "compensation_type": "Salary", "employee_class": "Full Time", "reference_id": "EMP-001", "start_date": "2024-01-15" }, { "date_of_birth": "1985-11-20", "email": "john.smith@acme.com", "first_name": "John", "last_name": "Smith", "phone": "4155550101", "compensation_type": "Hourly", "employee_class": "Part Time", "start_date": "2024-03-01" } ] }' ``` #### Response ```json { "data": { "accepted_at": "2019-12-27T18:11:19.117Z", "employer_id": "employer_id" } } ```